#include<stdio.h>
#include<stdlib.h>

int main(){
	
	int N;
	scanf("%d",&N);
	
	int A[N];
	
	for(int i=1;i<=N;i++){
		scanf("%d",&A[i]);
	}
	
	int Q;
	scanf("%d",&Q);
	
	int l, r;
	
	
	
	for(int i=1;i<=Q;i++){
		
		scanf("%d %d",&l,&r);
		
		int s=0;
		
		for(int i=l ; i<r ; i++){
			
			if(A[i]>A[i+1]){
				s++;
			}
				
		}
		
		if(s>=2){
			printf("NE\n");
		}
		
		else printf("DA\n");
	}
	
	
	
}